var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: "#app",
  data: {
    chart: {
      showNumbers: true,
      showGrid: false,
      showLabels: false,
      showCoordinates: false,
      showPointsAsColored: true,
      zoom: 20
    },
    isAB: true,
    p: {
      a: null,
      b: null,
      color: "blue"
    },
    q: {
      a: null,
      b: null,
      color: "green"
    },
    r: {
      a: null,
      b: null,
      color: "magenta"
    },
  },
  methods: {
    clearP: function(){
      this.p.a = this.p.b = null;
    },
    clearQ: function(){
      this.q.a = this.q.b = null;
    },
    clearR: function(){
      this.r.a = this.r.b = null;
    }
  },
  computed: {
    pointP1x: function(){
      return (-20) * this.chart.zoom + 250;
    },
    pointP1y: function(){
      return -(1*this.p.a * (-20) + 1*this.p.b) * this.chart.zoom + 250;
    },
    pointQ1x: function(){
      return (-20) * this.chart.zoom + 250;
    },
    pointQ1y: function(){
      return -(1*this.q.a * (-20) + 1*this.q.b) * this.chart.zoom + 250;
    },
    pointR1x: function(){
      return (-20) * this.chart.zoom + 250;
    },
    pointR1y: function(){
      return -(1*this.r.a * (-20) + 1*this.r.b) * this.chart.zoom + 250;
    },

    pointP2x: function(){
      return (+20) * this.chart.zoom + 250;
    },
    pointP2y: function(){
      return -(1*this.p.a * (+20) + 1*this.p.b) * this.chart.zoom + 250;
    },
    pointQ2x: function(){
      return (+20) * this.chart.zoom + 250;
    },
    pointQ2y: function(){
      return -(1*this.q.a * (+20) + 1*this.q.b) * this.chart.zoom + 250;
    },
    pointR2x: function(){
      return (+20) * this.chart.zoom + 250;
    },
    pointR2y: function(){
      return -(1*this.r.a * (+20) + 1*this.r.b) * this.chart.zoom + 250;
    },
  },
  created: function(){
  }
});

